Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  NX Programmierung
  Journal extern ausführen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Journal extern ausführen (288 mal gelesen)
felixh1
Mitglied


Sehen Sie sich das Profil von felixh1 an!   Senden Sie eine Private Message an felixh1  Schreiben Sie einen Gästebucheintrag für felixh1

Beiträge: 6
Registriert: 11.04.2017

erstellt am: 18. Apr. 2017 13:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

ich habe eine Automatisierung mit einem Journalfile erstellt, welches Ausdrücke aus einem externen Dokument importiert und anschließend im Fertigungsmodus den Werkzeugweg berechnet.
Nun möchte ich das Journal allerdings ohne NX (bzw. dem Journal-Editor in NX) ausführen. Ich hab ein bisschen gegoogelt, aber nicht wirklich was gefunden.
Gibt es eine Möglichkeit das Journalfile in eine .exe umzuwandeln oder so?

MfG

PS: hier der Code
' NX 10.0.0.24
' Journal created by hdh_z022 on Tue Apr 18 11:07:07 2017 Mitteleuropäische Sommerzeit
'
Option Strict Off
Imports System
Imports NXOpen

Module NXJournal
Sub Main (ByVal args() As String)

Dim theSession As NXOpen.Session = NXOpen.Session.GetSession()
Dim workPart As NXOpen.Part = theSession.Parts.Work

Dim displayPart As NXOpen.Part = theSession.Parts.Display

' ----------------------------------------------
'  Menü: Werkzeuge->Ausdrücke...
' ----------------------------------------------
theSession.Preferences.Modeling.UpdatePending = False

Dim expressionGroups1() As NXOpen.ExpressionGroup
expressionGroups1 = workPart.ExpressionGroups.GetAllExpressionGroupsInPart()

Dim expressionGroup1 As NXOpen.ExpressionGroup
expressionGroup1 = workPart.ExpressionGroups.Active

Dim expressionGroups2() As NXOpen.ExpressionGroup
expressionGroups2 = expressionGroup1.GetMemberGroups()

Dim expressionGroup2 As NXOpen.ExpressionGroup
expressionGroup2 = workPart.ExpressionGroups.Active

workPart.ExpressionGroups.Active = expressionGroup2

Dim markId1 As NXOpen.Session.UndoMarkId
markId1 = theSession.SetUndoMark(NXOpen.Session.MarkVisibility.Visible, "Expression")

Dim expModified1 As Boolean
Dim errorMessages1() As String
workPart.Expressions.ImportFromFile("C:\xampp\htdocs\NX_Project_Schluesselanhaenger v2\test.exp", NXOpen.ExpressionCollection.ImportMode.Replace, expModified1, errorMessages1)

Dim expressionGroups3() As NXOpen.ExpressionGroup
expressionGroups3 = workPart.ExpressionGroups.GetAllExpressionGroupsInPart()

Dim expressionGroup3 As NXOpen.ExpressionGroup
expressionGroup3 = workPart.ExpressionGroups.Active

Dim expressionGroups4() As NXOpen.ExpressionGroup
expressionGroups4 = expressionGroup3.GetMemberGroups()

Dim expressionGroup4 As NXOpen.ExpressionGroup
expressionGroup4 = workPart.ExpressionGroups.Active

workPart.ExpressionGroups.Active = expressionGroup4

theSession.Preferences.Modeling.UpdatePending = False

Dim expressionGroups5() As NXOpen.ExpressionGroup
expressionGroups5 = workPart.ExpressionGroups.GetAllExpressionGroupsInPart()

Dim expressionGroup5 As NXOpen.ExpressionGroup
expressionGroup5 = workPart.ExpressionGroups.Active

Dim expressionGroups6() As NXOpen.ExpressionGroup
expressionGroups6 = expressionGroup5.GetMemberGroups()

Dim expressionGroup6 As NXOpen.ExpressionGroup
expressionGroup6 = workPart.ExpressionGroups.Active

workPart.ExpressionGroups.Active = expressionGroup6

Dim nErrs1 As Integer
nErrs1 = theSession.UpdateManager.DoUpdate(markId1)

' ----------------------------------------------
'  Menü: Anwendung->Fertigung...
' ----------------------------------------------
theSession.ApplicationSwitchImmediate("UG_APP_MANUFACTURING")

Dim kinematicConfigurator1 As NXOpen.SIM.KinematicConfigurator
kinematicConfigurator1 = workPart.CreateKinematicConfigurator()

' ----------------------------------------------
'  Menü: Werkzeuge->Operations-Navigator->Werkzeugpfad->Erzeugen
' ----------------------------------------------
Dim markId2 As NXOpen.Session.UndoMarkId
markId2 = theSession.SetUndoMark(NXOpen.Session.MarkVisibility.Visible, "Generate Tool Paths")

Dim objects1(0) As NXOpen.CAM.CAMObject
Dim engraving1 As NXOpen.CAM.Engraving = CType(workPart.CAMSetup.CAMOperationCollection.FindObject("PLANAR_TEXT_1"), NXOpen.CAM.Engraving)

objects1(0) = engraving1
workPart.CAMSetup.GenerateToolPath(objects1)

' ----------------------------------------------
'  Menü: Werkzeuge->Journal->Stopp
' ----------------------------------------------

End Sub
End Module

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mseufert
Moderator
Freiberuflicher CAD/CAM Ingenieur


Sehen Sie sich das Profil von mseufert an!   Senden Sie eine Private Message an mseufert  Schreiben Sie einen Gästebucheintrag für mseufert

Beiträge: 2186
Registriert: 18.10.2005

HP Z420
WIN XP32 / WIN7 64
UG NX6-11
SUN Ultra 60
Solaris 7
CADDS5

erstellt am: 18. Apr. 2017 14:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für felixh1 10 Unities + Antwort hilfreich

Hallo felixh1,

Hast Du eine Doku installiert ? Falls nicht, schleunigst nachholen  Im NXOpen Programmers Guide gibt's ein Kapitel "Execution Methods", da steht drin, was alles geht. Was Du machen kannst, hängt i.W. von Deinen Lizenzen ab. Journal geht auch ohne, dafür gibt's eine run_journal.exe, ein einfaches CommandLineTool.

Gruß, Michael

------------------
Ein Mensch wird laut, wenn er was will;
wenn er's erst hat, dann wird er still;
Das "Danke" ist, nach alter Sitte,
Weit seltner als das "Bitte, Bitte".

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

felixh1
Mitglied


Sehen Sie sich das Profil von felixh1 an!   Senden Sie eine Private Message an felixh1  Schreiben Sie einen Gästebucheintrag für felixh1

Beiträge: 6
Registriert: 11.04.2017

erstellt am: 19. Apr. 2017 09:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo mseufert,

Ich benutze diese Dokuhttps://docs.plm.automation.siemens.com/tdoc/nx/10/nx_api#uid:index_nxopen_prog_guide:id1142076, kann allerdings nur grob herauslesen, was ich machen muss.

Ich möchte das mittels der run_journal.exe realisieren. Allerdings finde ich im Internet keine genaue Anleitung, was in der Batch-Datei stehen muss und wo diese liegt.
Ein weiteres Problem ist: wie hängen Journal, Batch-Datei und run_journal.exe zusammen?

Ich bräuchte quasi ein Tutorial, da ich keinerlei Grundkenntnisse in NX Programming habe.

Gruß, Felix

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Poseida
Mitglied
Maschinebautechniker, Konstrukteur


Sehen Sie sich das Profil von Poseida an!   Senden Sie eine Private Message an Poseida  Schreiben Sie einen Gästebucheintrag für Poseida

Beiträge: 71
Registriert: 15.12.2010

NX 8.5 + Teamcenter 8.3.3.10 + Moldex 3D R13
NX 10 TC 11

erstellt am: 19. Apr. 2017 10:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für felixh1 10 Unities + Antwort hilfreich

Hallo,

schau mal hier klick mich

------------------
Benjamin

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2017 CAD.de